APIServer power

Send power signal to server

Sends a power control signal (start, stop, restart, kill) to the specified server

Sends a power control signal (start, stop, restart, kill) to the specified server

POST
/api/client/servers/{server}/power

Authorization

bearerAuth
AuthorizationBearer <token>

Enter your API token in the format: Bearer {token}

In: header

Path Parameters

server*string

Server UUID or short UUID

Request Body

application/json

Power signal to send to the server

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/client/servers/d3aac109-e5a0-4331-b03e-3454f7e93221/power" \  -H "Content-Type: application/json" \  -d '{    "signal": "start"  }'
Empty
{
  "message": "The given data was invalid.",
  "errors": {
    "signal": [
      "The selected signal is invalid."
    ]
  }
}
Empty
Empty
Empty
Empty
Empty